WEECHAT-HEADLESS(1)

JMÉNO
weechat-headless - the extensible chat client (headless version)

PŘEHLED

weechat-headless [-a|--no-connect] [--daemon] [--stdout] [-d|--dir <path>] [-t|--temp-dir] [-p|--no-plugin] [-P|--plugins <plugins>] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [debug-option...] [plugin:option...]
weechat-headless [-c|--colors]
weechat-headless [-h|--help]
weechat-headless [-l|--license]
weechat-headless [-v|--version]

POPIS

WeeChat (Wee Enhanced Environment for Chat) je svobodný chatovací klient. Je lehký, plně konfigurovatelný a lehce rozšiřitelný pomocí pluginů a scriptů v obvyklých sciptovacích jazycích.

The command weechat-headless runs WeeChat in a headless mode (no interface). It can be used for tests or to daemonize WeeChat with the option "--daemon".

VOLBY

-a, --no-connect
    Zakaž automatické pripojení k serverům když WeeChat startuje.

-c, --colors
    Zobraz defaultní barvy v terminálu.

--daemon
    Run WeeChat in background, as a daemon (works only with the command weechat-headless).

--stdout
    Display log messages on standard output instead of writing them in log file (works only with the command weechat-headless, not compatible with option "--daemon").

-d, --dir <path>
    Force a single directory for all WeeChat files (directory is created if not found). Four directories can be given, separated by colons (in this order: config, data, cache, runtime). Pokud tato volba není zadána, použije se promněná prostředí WEECHAT_HOME (pokud není prázdná)

-t, --temp-dir
    Create a temporary WeeChat home directory and delete it on exit (incompatible with option "-d").
    The name of the directory is automatically built by WeeChat, with this template: "weechat_temp_XXXXXX" (where "XXXXXX" is random). It it created in the first available directory in this list: environment variable "TMPDIR", "/tmp" (may be different according to the operating system), environment variable "HOME", current directory.
    The temporary home directory has permissions 0700 (only owner can read, write and execute).

-h, --help
    Zobrazí nápovědu.

-i, --build-info
    Display build information and exit.

-l, --license
    Zobrazí licenci WeeChatu.

-p, --no-plugin
    Vypne automatické nahrání pluginů.

-P, --plugins <plugins>
    Load only these plugins at startup (see /help weechat.plugin.autoload). If this option is given, the option weechat.plugin.autoload is not used.

-r, --run-command <command>
    Run command(s) after startup; many commands can be separated by semicolons, this option can be given multiple times.

-s, --no-script
    Vypni automatické nahrání scriptů.

--upgrade
    Aktualizuj WeeChat použitím souborů relací generovaných příkazem /upgrade -quit.

-v, --version
    Zobraz verzi WeeChatu.

plugin:option
    Nastavení pluginů.

DEBUG OPTIONS

WARNING: these options are for debug purposes only, DO NOT USE IN PRODUCTION!

--no-dlclose
    Do not call the function dlclose after plugins are unloaded. This is useful with tools like Valgrind to display stack for unloaded plugins.

--no-gnutls
    Do not call the init and deinit functions of GnuTLS library. This is useful with tools like Valgrind and electric-fence, to prevent GnuTLS memory errors.

--no-gcrypt
    Do not call the init and deinit functions of Gcrypt library. This is useful with tools like Valgrind, to prevent Gcrypt memory errors.

VOLBY PLUGINŮ

Pro kompletní dokumentaci nastavení pluginů a jejich volby podívejte se na

S irc pluginem se můžete doččasně připojit na server s URL jako:

    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

K připojení na IRC kanál Weechatu pro podporu s přezdívkou "mynick":

    irc://mynick@irc.libera.chat/#weechat

IPv6 adresa může být uzavřena do hranatých závorek k přidání portu, například:

    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

SOUBORY

$HOME/.config/weechat/weechat.conf
    hlavní konfigurační soubor WeeChatu

$HOME/.config/weechat/plugins.conf
    soubor konfigurace pluginů

$HOME/.config/weechat/sec.conf
    konfigurační soubor s chráněnými daty

$HOME/.config/weechat/alias.conf
    configurační soubor pro alias plugin

$HOME/.config/weechat/buflist.conf
    konfigurační soubor pro buflist plugin

$HOME/.config/weechat/charset.conf
    konfigurační soubor pro charset plugin

$HOME/.config/weechat/exec.conf
    konfigurační soubor pro exec plugin

$HOME/.config/weechat/fifo.conf
    konfigurační soubor pro fifo plugin

$HOME/.config/weechat/fset.conf
    konfigurační soubor pro fset plugin

$HOME/.config/weechat/guile.conf
    konfigurační soubor pro guile plugin

$HOME/.config/weechat/irc.conf
    konfigurační soubor pro irc plugin

$HOME/.config/weechat/javascript.conf
    konfigurační soubor pro javascript plugin

$HOME/.config/weechat/logger.conf
    konfigurační soubor pro logger plugin

$HOME/.config/weechat/lua.conf
    konfigurační soubor pro lua plugin

$HOME/.config/weechat/perl.conf
    konfigurační soubor pro perl plugin

$HOME/.config/weechat/php.conf
    konfigurační soubor pro php plugin

$HOME/.config/weechat/python.conf
    konfigurační soubor pro python plugin

$HOME/.config/weechat/relay.conf
    konfigurační soubor pro relay plugin

$HOME/.config/weechat/ruby.conf
    konfigurační soubor pro ruby plugin

$HOME/.config/weechat/script.conf
    konfigurační soubor pro script plugin

$HOME/.config/weechat/spell.conf
    konfigurační soubor pro spell plugin

$HOME/.config/weechat/tcl.conf
    konfigurační soubor pro tcl plugin

$HOME/.config/weechat/trigger.conf
    konfigurační soubor pro trigger plugin

$HOME/.config/weechat/typing.conf
    konfigurační soubor pro typing plugin

$HOME/.config/weechat/xfer.conf
    konfigurační soubor pro xfer plugin

$HOME/.local/share/weechat/weechat.log
    soubor záznamů WeeChatu

SEE ALSO

weechat(1)

AUTOŘI

Tato manuálová stránka byla napsána Sébastien Helleu. Tato manuálová stránka byla přeložena Ondřejem Súkupem.

COPYRIGHT

WeeChat je napsán Sébastienem Helleu a přispěvovateli (kompletní seznam je v souboru AUTHORS.md).

Copyright © 2003-2025 Sébastien Helleu

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Prosím přečtěte si soubor COPYING pro více informací.

Web:

PODPORA / HLÁŠENÍ CHYB

Pro pomoc nebo hlášení chyb

AUTHOR

Sébastien Helleu